searchNodes=[{"doc":"Documentation for TehamaClient .","ref":"TehamaClient.html","title":"TehamaClient","type":"module"},{"doc":"Create an auth for the client or fail. Examples iex&gt; TehamaClient . client! ( &quot;username&quot; , &quot;password&quot; ) % TehamaClient.Auth { token : &quot;testtoken&quot; }","ref":"TehamaClient.html#client!/2","title":"TehamaClient.client!/2","type":"function"},{"doc":"Create an auth for the client. Examples iex&gt; TehamaClient . client ( &quot;username&quot; , &quot;password&quot; ) { :ok , % TehamaClient.Auth { token : &quot;testtoken&quot; } }","ref":"TehamaClient.html#client/2","title":"TehamaClient.client/2","type":"function"},{"doc":"Get most recent read data. Examples iex&gt; auth = % TehamaClient.Auth { token : &quot;testtoken&quot; } ...&gt; site = % TehamaClient.Site { access_code : &quot;88471391331&quot; } ...&gt; { :ok , data } = TehamaClient . report_data ( auth , site ) ...&gt; data [ % TehamaClient.Device { addr : &quot;&quot; , apt : &quot;68 &quot; , battery_v : &quot;3020&quot; , building : &quot;1&quot; , latest_link_status_data_read_time : &quot;2022-03-02 04:51:12&quot; , link_partner : &quot;e3000a78&quot; , location_note : &quot;Vacant&quot; , node_id : &quot;5532&quot; , radio_dec_id : &quot;2175922659&quot; , radio_hex_id : &quot;81B1F1E3&quot; , readings : [ % TehamaClient.Reading { alerts : [ ] , display_type : &quot;Encoded_Meter_1&quot; , factor : &quot;10.000&quot; , initial_meter_read : nil , initial_meter_time : nil , mon_pt : nil , note : nil , raw : 47190 , read_time : &quot;2022-03-02 04:29:41&quot; , reading : 491900 , sensor_type : &quot;53&quot; , serial_number : &quot;0000203389&quot; , style : &quot;A&quot; , type : &quot;W&quot; , units : nil } ] } ]","ref":"TehamaClient.html#report_data/2","title":"TehamaClient.report_data/2","type":"function"},{"doc":"Get all read data between two dates. Examples iex&gt; auth = % TehamaClient.Auth { token : &quot;testtoken&quot; } ...&gt; site = % TehamaClient.Site { access_code : &quot;88471391331&quot; } ...&gt; { :ok , data } = TehamaClient . report_data ( auth , site , ~D[2022-05-01] , ~D[2022-05-02] ) ...&gt; data [ % TehamaClient.Device { addr : &quot;&quot; , apt : &quot;68 &quot; , battery_v : &quot;3020&quot; , building : &quot;1&quot; , latest_link_status_data_read_time : &quot;2022-03-02 04:51:12&quot; , link_partner : &quot;e3000a78&quot; , location_note : &quot;Vacant&quot; , node_id : &quot;5532&quot; , radio_dec_id : &quot;2175922659&quot; , radio_hex_id : &quot;81B1F1E3&quot; , readings : [ % TehamaClient.Reading { alerts : [ ] , display_type : &quot;Encoded_Meter_1&quot; , factor : &quot;10.000&quot; , initial_meter_read : nil , initial_meter_time : nil , mon_pt : nil , note : nil , raw : 47190 , read_time : &quot;2022-03-02 04:29:41&quot; , reading : 491900 , sensor_type : &quot;53&quot; , serial_number : &quot;0000203389&quot; , style : &quot;A&quot; , type : &quot;W&quot; , units : nil } ] } ]","ref":"TehamaClient.html#report_data/4","title":"TehamaClient.report_data/4","type":"function"},{"doc":"Create a temporary Site object to be used to get data Examples iex&gt; TehamaClient . site ( &quot;88471391331&quot; ) % TehamaClient.Site { access_code : &quot;88471391331&quot; }","ref":"TehamaClient.html#site/1","title":"TehamaClient.site/1","type":"function"},{"doc":"Get Site List from API Examples iex&gt; auth = TehamaClient . client! ( &quot;username&quot; , &quot;password&quot; ) ...&gt; { :ok , sites } = auth |&gt; TehamaClient . site_list ( ) ...&gt; sites [ % TehamaClient.Site { access_code : &quot;88471391331&quot; , property_id : &quot;4706362&quot; , name : &quot;Elan Flower Mound #12294 (28667)&quot; , node_type : &quot;DCAP&quot; } ] = sites","ref":"TehamaClient.html#site_list/1","title":"TehamaClient.site_list/1","type":"function"},{"doc":"Gets a list of units for a site. Examples iex&gt; auth = % TehamaClient.Auth { token : &quot;testtoken&quot; } ...&gt; site = % TehamaClient.Site { access_code : &quot;88471391331&quot; } ...&gt; data = TehamaClient . units ( auth , site ) { :ok , [ % TehamaClient.Unit { id : &quot;5532&quot; , apt : &quot;68&quot; , addr : &quot;&quot; , building : &quot;4706362&quot; , meters : [ ] } ] } = data","ref":"TehamaClient.html#units/2","title":"TehamaClient.units/2","type":"function"},{"doc":"A response which may be {:ok, results} or {:error, error}","ref":"TehamaClient.html#t:response/1","title":"TehamaClient.response/1","type":"type"},{"doc":"A struct representing the API authentication.","ref":"TehamaClient.Auth.html","title":"TehamaClient.Auth","type":"module"},{"doc":"A typed struct","ref":"TehamaClient.Auth.html#t:t/0","title":"TehamaClient.Auth.t/0","type":"type"},{"doc":"Stores configuration variables used to communicate with Tehama's API.","ref":"TehamaClient.Config.html","title":"TehamaClient.Config","type":"module"},{"doc":"Returns the Base URL used for the API.: config :tehama_client_ex , api_base_url : &quot;&lt;base url&gt;&quot;","ref":"TehamaClient.Config.html#api_base_url/0","title":"TehamaClient.Config.api_base_url/0","type":"function"},{"doc":"A light wrapper around Application.get_env/2 , providing automatic support for {:system, &quot;VAR&quot;} tuples.","ref":"TehamaClient.Config.html#from_env/3","title":"TehamaClient.Config.from_env/3","type":"function"},{"doc":"","ref":"TehamaClient.Config.html#get_env/2","title":"TehamaClient.Config.get_env/2","type":"function"},{"doc":"A tehama device. Note that addr and apt are trimmed to remove whitespace.","ref":"TehamaClient.Device.html","title":"TehamaClient.Device","type":"module"},{"doc":"","ref":"TehamaClient.Device.html#new/1","title":"TehamaClient.Device.new/1","type":"function"},{"doc":"A typed Device struct","ref":"TehamaClient.Device.html#t:t/0","title":"TehamaClient.Device.t/0","type":"type"},{"doc":"A tehama device.","ref":"TehamaClient.Meter.html","title":"TehamaClient.Meter","type":"module"},{"doc":"","ref":"TehamaClient.Meter.html#from_device/1","title":"TehamaClient.Meter.from_device/1","type":"function"},{"doc":"A typed Device struct","ref":"TehamaClient.Meter.html#t:t/0","title":"TehamaClient.Meter.t/0","type":"type"},{"doc":"A device reading.","ref":"TehamaClient.Reading.html","title":"TehamaClient.Reading","type":"module"},{"doc":"","ref":"TehamaClient.Reading.html#new/1","title":"TehamaClient.Reading.new/1","type":"function"},{"doc":"","ref":"TehamaClient.Reading.html#sensor_type/1","title":"TehamaClient.Reading.sensor_type/1","type":"function"},{"doc":"A typed Reading struct","ref":"TehamaClient.Reading.html#t:t/0","title":"TehamaClient.Reading.t/0","type":"type"},{"doc":"A tehama site. Note that name is trimmed to remove whitespace.","ref":"TehamaClient.Site.html","title":"TehamaClient.Site","type":"module"},{"doc":"","ref":"TehamaClient.Site.html#new/1","title":"TehamaClient.Site.new/1","type":"function"},{"doc":"A typed Site struct","ref":"TehamaClient.Site.html#t:t/0","title":"TehamaClient.Site.t/0","type":"type"},{"doc":"A tehama device.","ref":"TehamaClient.Unit.html","title":"TehamaClient.Unit","type":"module"},{"doc":"","ref":"TehamaClient.Unit.html#from_device/1","title":"TehamaClient.Unit.from_device/1","type":"function"},{"doc":"","ref":"TehamaClient.Unit.html#from_devices/1","title":"TehamaClient.Unit.from_devices/1","type":"function"},{"doc":"A typed Device struct","ref":"TehamaClient.Unit.html#t:t/0","title":"TehamaClient.Unit.t/0","type":"type"}]